from z3c.form import interfaces

from Products.CMFCore.utils import getToolByName

from plone.app.discussion.browser.comments import \
                    CommentForm as BaseCommentForm
from plone.app.discussion.browser.comments import \
                    CommentsViewlet as BaseCommentsViewlet


class CommentForm(BaseCommentForm):
    def updateWidgets(self):
        super(CommentForm, self).updateWidgets()

        # Anonymous / Logged-in
        portal_membership = getToolByName(self.context, 'portal_membership')
        if portal_membership.isAnonymousUser():
            self.widgets['author_email'].mode = interfaces.INPUT_MODE


class CommentsViewlet(BaseCommentsViewlet):
    form = CommentForm
